{
    attributes = (
        {
            columnName = "APP_ID"; 
            externalType = NUMBER; 
            name = appId; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "DON_CATEGORIE"; 
            externalType = VARCHAR2; 
            name = donCategorie; 
            valueClassName = NSString; 
            valueType = S; 
            width = 50; 
        }, 
        {
            allowsNull = Y; 
            columnName = "DON_DESCRIPTION"; 
            externalType = VARCHAR2; 
            name = donDescription; 
            valueClassName = NSString; 
            valueType = S; 
            width = 500; 
        }, 
        {
            columnName = "DON_ID"; 
            externalType = NUMBER; 
            name = donId; 
            valueClassName = NSNumber; 
            valueType = l; 
        }, 
        {
            columnName = "DON_ID_INTERNE"; 
            externalType = VARCHAR2; 
            name = donIdInterne; 
            valueClassName = NSString; 
            valueType = S; 
            width = 20; 
        }, 
        {
            columnName = "DON_LC"; 
            externalType = VARCHAR2; 
            name = donLc; 
            valueClassName = NSString; 
            valueType = S; 
            width = 50; 
        }
    ); 
    attributesUsedForLocking = (donId); 
    className = "org.cocktail.fwkcktlpersonne.common.metier.droits.EOGdDonnee"; 
    classProperties = (donCategorie, donDescription, donIdInterne, donLc, toGdApplication); 
    externalName = "GRHUM.GD_DONNEE"; 
    fetchSpecificationDictionary = {}; 
    name = GdDonnee; 
    primaryKeyAttributes = (donId); 
    relationships = (
        {
            destination = GdApplication; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = appId; sourceAttribute = appId; }); 
            name = toGdApplication; 
        }
    ); 
}
